<?php

namespace App\Http\Controllers;

use App\Models\Asiento;
use App\Models\Registro;
use Illuminate\Http\Request;

class ControllerMayorizacion extends Controller
{
    
    public function showMayorizacion($id)
{
    // Obtener el registro de asiento seleccionado
    $registro = Registro::findOrFail($id);

    // Obtener todos los asientos relacionados con el registro y agruparlos por cuenta
    $asientosAgrupados = Asiento::where('id_registro', $id)
        ->get()
        ->groupBy('cuenta'); // Agrupar los asientos por la cuenta

    // Retornar la vista junto con el registro y los asientos agrupados
    return view('createMayorizacion', compact('registro', 'asientosAgrupados'));
}

    
}
