<?php

/**
 * Created by Reliese Model.
 */

namespace App\Models;

use Illuminate\Database\Eloquent\Collection;
use Illuminate\Database\Eloquent\Model;

/**
 * Class Registro
 * 
 * @property int $id_registro
 * @property string $nombre
 * 
 * @property Collection|Asiento[] $asientos
 *
 * @package App\Models
 */
class Registro extends Model
{
	protected $table = 'registros';
	protected $primaryKey = 'id_registro';
	public $timestamps = false;

	protected $fillable = [
		'nombre'
	];

	public function asientos()
	{
		return $this->hasMany(Asiento::class, 'id_registro');
	}
}
