<?php

use App\Http\Controllers\AsientoController;
use App\Http\Controllers\BalansaController;
use App\Http\Controllers\ControllerBalanceGeneral;
use App\Http\Controllers\ControllerMayorizacion;
use App\Http\Controllers\EstadoResulController;
use App\Http\Controllers\RegistroController;
use App\Models\Asiento;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/


Route::resource('/', RegistroController::class);
Route::resource('/registros', RegistroController::class);

Route::resource('/asientos', AsientoController::class);
Route::put('asientos/update', [AsientoController::class, 'update'])->name('asientos.update');


Route::get('/mayorizacion/{id}', [ControllerMayorizacion::class, 'showMayorizacion'])->name('mayo');
Route::get('/estadoresul/{id}', [EstadoResulController::class, 'showEstadosResul'])->name('estadoresul');



// Route::get('/balansa', [BalansaController::class, 'showBalansa'])->name('balan');


// Route::get('/balansa', [BalansaController::class, 'showBalansa'])->name('balansa.show');
// Route::resource('/asientos', BalansaController::class);
// Route::put('asientos/update', [BalansaController::class, 'update'])->name('asientos.update');


// Route::get('/balanza', [BalansaController::class, 'showBalansa'])->name('balanza.show');


Route::get('/balansa/{id_registro}', [BalansaController::class, 'showMayorizacion'])->name('mayo');

Route::get('/balansa/{id_registro}', [BalansaController::class, 'showBalansa'])->name('balansa.show');
// Ruta para mostrar la balanza de comprobación
// Route::get('/balansa/{id_registro}', [BalansaController::class, 'showBalansa'])->name('balan');
// Route::get('/balansa/{id}', [BalansaController::class, 'show'])->name('balansa.show');
// Route::get('/balansa/{id}', [BalansaController::class, 'show'])->name('balansa.show');
Route::get('/balance-general/{id}', [ControllerBalanceGeneral::class, 'showBalanceGeneral'])->name('balance.general');
